<!DOCTYPE html>
<html xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}"
      lang="en">
<head>
    <meta charset="utf-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <title>Registration</title>
</head>
<body>
<div layout:fragment="content">
    <h3 class="mt-3 mb-3">New user registration</h3>
    <form method="POST" class="needs-validation" novalidate style="max-width: 50vw" th:action="@{/users/registration}" th:object="${userForm}">
        <div class="mt-3 row g-2">
            <div class="col-md">
                <div class="form-floating">
                    <input name="login" type="text" class="form-control" id="login" placeholder="Enter Login" required>
                    <label for="login">Login</label>
                    <div class="invalid-feedback">Required field to fill in</div>
                    <div class="alert alert-danger" th:if="${#fields.hasErrors('login')}">
                        <p th:errors="*{login}"></p>
                    </div>
                </div>
            </div>
            <div class="col-md">
                <div class="form-floating">
                    <input name="password" type="password" class="form-control" id="password" placeholder="Enter Password" required>
                    <label for="password">Password</label>
                    <div class="invalid-feedback">Required field to fill in</div>
                </div>
            </div>
        </div>
        <div class="mt-3 row g-2">
            <div class="col-md">
                <div class="form-floating">
                    <input name="firstName" type="text" class="form-control" id="firstName" placeholder="Enter your name" required>
                    <label for="firstName">Name</label>
                    <div class="invalid-feedback">Required field to fill in</div>
                </div>
            </div>
            <div class="col-md">
                <div class="form-floating">
                    <input name="lastName" type="text" class="form-control" id="lastName" placeholder="Enter your Lastname" required>
                    <label for="lastName">Lastname</label>
                    <div class="invalid-feedback">Required field to fill in</div>
                </div>
            </div>
            <div class="col-md">
                <div class="form-floating">
                    <input name="middleName" type="text" class="form-control" id="middleName" placeholder="Enter your Middle-name">
                    <label for="middleName">Middle-name</label>
                </div>
            </div>
        </div>
        <div class="mt-3 row g-2">
            <div class="col-md">
                <div class="form-floating">
                    <input name="email" type="email" class="form-control" id="email" placeholder="Enter email" required>
                    <label for="email">Email</label>
                    <div class="invalid-feedback">Required field to fill in</div>
                    <div class="alert alert-danger" th:if="${#fields.hasErrors('email')}">
                        <p th:errors="*{email}"></p>
                    </div>
                </div>
            </div>
            <div class="col-md">
                <div class="form-floating">
                    <input name="phone" type="text" class="form-control" id="phone" placeholder="Enter your phone number">
                    <label for="phone">Phone number</label>
                    <div class="invalid-feedback">Required field to fill in</div>
                </div>
            </div>
            <div class="col-md">
                <div class="form-floating">
                    <input name="birthDate" type="date" class="form-control" id="birthDate" placeholder="Enter your date of birth" required>
                    <label for="birthDate">Date of Birth</label>
                    <div class="invalid-feedback">Required field to fill in</div>
                </div>
            </div>
        </div>
        <div class="mt-3 row g-2">
            <div class="col-md">
                <div class="form-floating">
                    <textarea name="address" type="text" class="form-control" id="address" placeholder="Adress"></textarea>
                    <label for="address">Address</label>
                </div>
            </div>
        </div>
        <div class="mt-3 row g-2">
            <button type="submit" class="btn btn-primary" onclick="validateForm()">Registration complete</button>
            <button type="button" class="btn btn-secondary" onclick="window.history.back()">Back</button>
        </div>
    </form>
</div>

</body>
</html>